=== debian/changelog ===
remmina (1.2.0~rcgit-14) unstable; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sat, 06 Aug 2016 18:01:34 +0000

remmina (1.2.0~rcgit-11) unstable; urgency=medium

  * PPA version.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 18 Aug 2015 10:10:01 +0200

remmina (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix load of RDP plugin when FreeRDP is compiled with
      -DSTATIC_CHANNELS=off (Closes: #764142).
  * debian/patches/freerdp_get_last_error.patch:
    - Removed, applied upstream.
  * debian/README.NX, debian/remmina-plugin-nx.docs:
    - Add a short notice about NX security implications (Closes: #714778).
  * debian/watch:
    - Adjust GitHub link to look for all releases.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 13 Oct 2014 16:57:50 +0200

remmina (1.0.0+git20141003-1) unstable; urgency=medium

  * New upstream snapshot.
  * Provide a debug package (Closes: #763533).
  * debian/patches/freerdp_get_last_error.patch:
    - Remove call to freerdp_get_last_error, available on FreeRDP trunk
      only, FreeRDP Debian package does not ship it yet.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Oct 2014 14:18:20 +0200

remmina (1.0.0+git20140930-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix segfault with RDP plugin (Closes: #763529).
  * debian/patches/CLIENT_TLS.patch:
    - Removed, applied upstream.
  * debian/patches/rfx_context_new.patch.
    - Removed, applied upstream.
  * debian/patches/shebang.patch.
    - Removed, applied upstream.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 01 Oct 2014 08:02:35 +0200

remmina (1.0.0+git20140913-2) unstable; urgency=medium

  * debian/patches/external_tools.patch:
    - Look for external tools into a system directory, instead of user's
      home. Current default makes Debian buildds to fail (Closes: #763280).
  * debian/patches/shebang.patch:
    - Add shebangs to external tool scripts.
  * debian/patches/CLIENT_TLS.patch:
    - Drop LIBVNCSERVER_WITH_CLIENT_TLS ifdef's to enable GNUTLS support,
      which got disabled after using system libvncserver (Closes: #741524).
  * debian/remmina-common.install:
    - Install external tools under /usr/share.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 29 Sep 2014 08:11:58 +0200

remmina (1.0.0+git20140913-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixed numlock on RDP connections (Closes: #663714).
    - Colours are no longer swapped on Sun Ray terminal (Closes: #673416).
    - Notify user when host key changed (Closes: #674407).
    - Windows no longer disappears when minimized (Closes: #674535).
    - Add cursor support (Closes: #676654).
    - OpenSSL license exception granted (Closes: #750870).
  * debian/patches/*.patch:
    - All patches integrated upstream.
  * debian/patches/rfx_context_new.patch:
    . rfx_context_new does not take any parameter, fix FTBFS.
  * debian/control:
    - Bump libfreerdp-dev dependency to 1.1.0 (Closes: #757605, 757821).
    - Build-depends on libgcrypt20-dev and libgnutls28-dev (Closes: #759000).
    - Downgrade libfreerdp-plugins-standard to Recommends for the RDP
      plugin, as the provided features are optional.
    - Bump Standards-Version to 3.9.6.
  * debian/copyright:
    - Update copyright information, drop removed licenses.
  * debian/remmina-plugin-*.install:
    - Install plugins in multiarch library directories.
  * debian/rules:
    - remmina/ChangeLog moved to ChangeLog.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 28 Sep 2014 10:10:16 +0200

remmina (1.0.0-6) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/missing_libraries.patch:
    - Add missing libraries to target_link_libraries to fix FTBFS,
      thanks to Daniel T. Chen for the patch (Closes: #713470).
  * debian/remmina-plugin-*.lintian-overrides:
    - Removed lintian overrides, not needed anymore.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 23 Jun 2013 14:48:57 +0200

remmina (1.0.0-5) experimental; urgency=low

  [ Luca Falavigna ]
  * debian/patches/NO_SONAME.patch:
    - Do not define any SONAME for the plugins.
  * debian/control:
    - Fix URL of Vcs-Browser field.
    - Bump Standards-Version to 3.9.4.
    - Fix typo in package description.
  * debian/copyright:
    - Adjust copyright years.
  * debian/docs:
    - Install README.
  * debian/remmina-plugin-{nx,vnc}.lintian-overrides:
    - hardening-check discovers unprotected functions only.
  * debian/rules:
    - Pass "-Wl,--as-needed" to LDFLAGS.
    - Install upstream changelog.
    - Overriding dh_makeshlibs is no longer required.

  [ Jonathan McCrohan ]
  * debian/watch:
    - Update watchfile to fix Github breakage (Closes: #693515).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Feb 2013 01:06:23 +0100

remmina (1.0.0-4+deb7u1) unstable; urgency=low

  [ Bernhard Schmidt ]
  * Cherry-pick commit 9243d35 from upstream Git repository to fix a
    crash when resizing window to fit remote resolution (Closes: #668020).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 17 Mar 2013 14:37:39 +0100

remmina (1.0.0-4) unstable; urgency=low

  [ Martijn van Brummelen ]
  * debian/patches/clipboard.patch:
    - Clipboard support (Closes: #659755).

  [ Luca Falavigna ]
  * debian/patches/fullname.patch:
    - Use X-GNOME-FullName in .desktop file (Closes: #625939).
  * debian/patches/scroll.patch:
    - Fix some issues with scrolling (Closes: #670535).
  * debian/patches/systray.patch:
    - Implement --icon/-i option (Closes: #661893).
  * debian/control:
    - Add dbus-x11 to remmina Depends field (Closes: #668018).
    - Add Jean-Louis to Uploaders field.
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 May 2012 22:37:09 +0200

remmina (1.0.0-3) unstable; urgency=low

  * debian/patches/desktop_file.patch:
    - Fix installation path of the desktop file.
  * debian/rules:

